{*******************************************************}
{                                                       }
{       ReportBuilder Wrapper for RichView Package      }
{       Base form for creating editor for ppRichView    }
{                                                       }
{       ReportBuilder                                   }
{       Copyright (c) Digital Metaphors Corporation     }
{                                                       }
{       RichView                                        }
{       Copyright (c) Sergey Tkachenko                  }
{       svt@trichview.com                               }
{       http://www.trichview.com                        }
{                                                       }
{*******************************************************}

{
 Inherit your ppRichView editor from this form.
 Override GetRichView to return RichView (or RichViewEdit) which will
 be used to load/save document into.
 Warning: ppRichView will assign events handlers from ppRichView.RichView
 to the RichView on this form. So, if you want to keep your events handlers,
 assign them in code in Form.OnActivate

 How to assign your form as an editor:
 assign class of your form to ppRichViewEditorClass variable;
 (do not do it in the initialization section of unit, because this
 settings can be overriden by ppRichViewEd.pas
}

{$J+}
{$B-}
unit ppRichViewCustomEd;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, RichView;

type
  TfrmCustomppRichViewEditor = class(TForm)
  private
    { Private declarations }
  public
    { Public declarations }

    function GetRichView: TCustomRichView; virtual; abstract;
  end;

  TfrmCustomppRichViewEditorClass = class of TfrmCustomppRichViewEditor;

const
  ppRichViewEditorClass: TfrmCustomppRichViewEditorClass = nil;

implementation

{$R *.dfm}

end.
