{*******************************************************}
{                                                       }
{       ReportBuilder Wrapper for RichView Package      }
{       Design-time support for ppRichView              }
{                                                       }
{       ReportBuilder                                   }
{       Copyright (c) Digital Metaphors Corporation     }
{                                                       }
{       RichView                                        }
{       Copyright (c) Sergey Tkachenko                  }
{       svt@trichview.com                               }
{       http://www.trichview.com                        }
{                                                       }
{*******************************************************}

unit ppRichViewDsgn;

interface

{$I RV_Defs.inc}

uses ppRichView, Classes

  {$IFDEF RICHVIEWDEF2009}
    , DesignIntf
  {$ENDIF};

procedure Register;

implementation

procedure Register;
begin
  {$IFDEF RICHVIEWDEF2009}
  ForceDemandLoadState(dlDisable);
  {$ENDIF}
  RegisterNoIcon([TppRichView, TppDBRichView]);
end;

end.
